Bug 128079 - Still unsolved: Error in writing sub-document content.xml
Summary: Still unsolved: Error in writing sub-document content.xml
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.2.7.1 release
Hardware: x86-64 (AMD64) macOS (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-10-10 19:07 UTC by Marcus Hudritsch
Modified: 2019-12-19 21:36 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marcus Hudritsch 2019-10-10 19:07:32 UTC
Description:
This message comes when saving my 46MB CPVR-ImageAnalysis-Script.odt document on my MacOS 10.14.6. Sometimes LO crashes right afterward completely. Sometimes it says that before that the operation cannot be performed because too many files are open.
I also tried to delete the /Users/Username/Library/Application Support/LibreOffice/4 folder.

This bug is very old and not fixed. 
It crashes on LO version 6.2.7 and also on newer version. It appears also in OpenOffice 4.1.7 (Oct 2019)
It does NOT crash on my old 3.6.5.2! That's my last resort. But in MacOS Catalina 32Bit apps get deprecated!
I also tried to create a complete new ODT file and then I copied with copy-paste all content. Same result after a short time.

Steps to Reproduce:
1. Download the ODT under https://www.dropbox.com/sh/9l1dihkvci0biqb/AADfXZsQJR4-tmJ4O6KhyIDGa?dl=0
2. Open it on a MacOS < 10.17
3. Change a character and save the file

Actual Results:
Dialog with "Error in writing sub-document content.xml"
Sometimes crash right afterward.

Expected Results:
Save the file and do not crash!


Reproducible: Always


User Profile Reset: Yes



Additional Info:
I'm a professor in image processing and I have 4 scripts like this.
I have this problem only in this specific ODT. Not in the others and they are all 25-40 MB big. I'm absolutely dependent on LO. I cannot migrate to MS Office, because Word can't handle large files.
I would even debug the source code if someone helps me to set it up.
Comment 1 Marcus Hudritsch 2019-10-10 19:26:37 UTC
The problem doesn't appear under Windows with LO 6.2.7.1.
Comment 2 Julien Nabet 2019-10-10 19:46:19 UTC
On pc Debian x86-64 with master sources updated today, I don't reproduce this.
Here are the steps I did:
- open the file CPVR-ImageAnalysis-Script.odt
- on first page, add "_new" after "Skript"
- save
- close LO
- reopen the file

No error.
Comment 3 Julien Nabet 2019-10-10 19:47:15 UTC
(In reply to Marcus Hudritsch from comment #1)
> The problem doesn't appear under Windows with LO 6.2.7.1.

If you change the file on Windows and try to modify the new file on Mac, do you still reproduce this?
Comment 4 Marcus Hudritsch 2019-10-11 06:25:50 UTC
(In reply to Julien Nabet from comment #3)
> (In reply to Marcus Hudritsch from comment #1)
> > The problem doesn't appear under Windows with LO 6.2.7.1.
> 
> If you change the file on Windows and try to modify the new file on Mac, do
> you still reproduce this?

Hi Julian,
thanks for your superfast response.
if Apple really forces me to MacOS Catalina without my 32Bit Apps I will change to Linux ;-).

What I just did now:
- Opened the file under Win10 latest with LO 6.2.7.1, changed a character, successful save.
- Opened the windows saved file under MacOS 10.14.6 with LO 6.2.7.1, changed a character, failed save & and full crash.
- Deleted the folder /Users/Username/Library/Application Support/LibreOffice/4
- Opened the Windows saved again on MacOS, changed a character, successful save!
- Change the UI language from US English to German and the culture to German (Switzerland), changed a character, failed save & and full crash with the following crash report:

Process:               soffice [2275]
Path:                  /Applications/LibreOffice.app/Contents/MacOS/soffice
Identifier:            soffice
Version:               6.3.4 (6.3.4)
Code Type:             X86-64 (Native)
Parent Process:        ??? [1]
Responsible:           soffice [2275]
User ID:               501

Date/Time:             2019-10-11 08:04:16.473 +0200
OS Version:            Mac OS X 10.14.6 (18G95)
Report Version:        12
Bridge OS Version:     3.0 (14Y904)
Anonymous UUID:        FD024E25-05E5-B25A-FF09-914566D548F7

Sleep/Wake UUID:       360C8419-8F8E-4CE5-B20E-88A8068DD27B

Time Awake Since Boot: 4700 seconds
Time Since Wake:       1500 seconds

System Integrity Protection: enabled

Crashed Thread:        23  configmgrWriter

Exception Type:        EXC_BAD_ACCESS (SIGABRT)
Exception Codes:       EXC_I386_GPFLT
Exception Note:        EXC_CORPSE_NOTIFY

Application Specific Information:
abort() called

Thread 0:: Dispatch queue: com.apple.main-thread
0   com.apple.CoreFoundation      	0x00007fff2ba39640 _CompareLowerTestEntryPrefixToTableEntryKey + 0
1   libsystem_c.dylib             	0x00007fff57a555b2 bsearch + 57
2   com.apple.CoreFoundation      	0x00007fff2ba39139 _UpdateFullLocaleString + 68
3   com.apple.CoreFoundation      	0x00007fff2ba38ecc CFLocaleCreateCanonicalLanguageIdentifierFromString + 597
4   com.apple.AppKit              	0x00007fff2920db2a -[NSSpellChecker _indexOfItemInArray:forLanguage:] + 1187
5   com.apple.AppKit              	0x00007fff2920d5e9 -[NSSpellChecker _setLanguage:] + 40
6   com.apple.AppKit              	0x00007fff297da705 -[NSSpellChecker _checkSpellingOfString:startingAt:language:wrap:inSpellDocumentWithTag:wordCount:reconnectOnError:] + 276
7   com.apple.AppKit              	0x00007fff297dab76 -[NSSpellChecker checkSpellingOfString:startingAt:language:wrap:inSpellDocumentWithTag:wordCount:reconnectOnError:] + 127
8   com.apple.AppKit              	0x00007fff297dabc5 -[NSSpellChecker checkSpellingOfString:startingAt:language:wrap:inSpellDocumentWithTag:wordCount:] + 70
9   libMacOSXSpelllo.dylib        	0x00000001113c0a4d MacSpellChecker::GetSpellFailure(rtl::OUString const&, com::sun::star::lang::Locale const&) + 525
10  libMacOSXSpelllo.dylib        	0x00000001113c0c52 MacSpellChecker::isValid(rtl::OUString const&, com::sun::star::lang::Locale const&, com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue> const&) + 370
11  liblnglo.dylib                	0x000000010eb7e42f SpellCheckerDispatcher::isValid_Impl(rtl::OUString const&, o3tl::strong_int<unsigned short, LanguageTypeTag>, com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue> const&) + 831
12  liblnglo.dylib                	0x000000010eb7e0a3 SpellCheckerDispatcher::isValid(rtl::OUString const&, com::sun::star::lang::Locale const&, com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue> const&) + 67
13  liblnglo.dylib                	0x000000010eb823d4 SpellCheckerDispatcher::isValid(rtl::OUString const&, short, com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue> const&) + 100
14  libeditenglo.dylib            	0x00000001089d5ce9 non-virtual thunk to SpellDummy_Impl::isValid(rtl::OUString const&, short, com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue> const&) + 57
15  libswlo.dylib                 	0x000000014d70bc3d SwTextFrame::AutoSpell_(SwTextNode&, int) + 2029
16  libswlo.dylib                 	0x000000014d59a918 SwLayIdle::DoIdleJob_(SwContentFrame const*, SwLayIdle::IdleJobType) + 504
17  libswlo.dylib                 	0x000000014d59ac62 SwLayIdle::DoIdleJob(SwLayIdle::IdleJobType, bool) + 306
18  libswlo.dylib                 	0x000000014d59b501 SwLayIdle::SwLayIdle(SwRootFrame*, SwViewShellImp*) + 1649
19  libswlo.dylib                 	0x000000014d93c9b6 SwViewShell::LayoutIdle() + 166
20  libswlo.dylib                 	0x000000014d3a01a8 sw::DocumentTimerManager::DoIdleJobs(Timer*) + 552
21  libvcllo.dylib                	0x000000010b37c828 Scheduler::ProcessTaskScheduling() + 1192
22  libvclplug_osxlo.dylib        	0x000000010f5df8f7 AquaSalTimer::callTimerCallback() + 71
23  libvclplug_osxlo.dylib        	0x000000010f5d222c AquaSalInstance::DoYield(bool, bool) + 812
24  libvcllo.dylib                	0x000000010b38b741 Application::Yield() + 49
25  libvcllo.dylib                	0x000000010affb4fa Dialog::Execute() + 74
26  libvcllo.dylib                	0x000000010b360378 virtual thunk to SalInstanceDialog::run() + 56
27  libuuilo.dylib                	0x0000000148236e19 UUIInteractionHelper::handleErrorHandlerRequest(com::sun::star::task::InteractionClassification, ErrCode, std::__1::vector<rtl::OUString, std::__1::allocator<rtl::OUString> > const&, com::sun::star::uno::Sequence<com::sun::star::uno::Reference<com::sun::star::task::XInteractionContinuation> > const&, bool, bool&, rtl::OUString&) + 2121
28  libuuilo.dylib                	0x000000014823b8c9 UUIInteractionHelper::handleInteractiveIOException(com::sun::star::uno::Reference<com::sun::star::task::XInteractionRequest> const&, bool, bool&, rtl::OUString&) + 3401
29  libuuilo.dylib                	0x00000001482260ba UUIInteractionHelper::handleRequest_impl(com::sun::star::uno::Reference<com::sun::star::task::XInteractionRequest> const&, bool, bool&, rtl::OUString&) + 2698
30  libuuilo.dylib                	0x000000014822a46c UUIInteractionHelper::handleRequest(com::sun::star::uno::Reference<com::sun::star::task::XInteractionRequest> const&) + 300
31  libuuilo.dylib                	0x0000000148240fb7 (anonymous namespace)::UUIInteractionHandler::handle(com::sun::star::uno::Reference<com::sun::star::task::XInteractionRequest> const&) + 39
32  libcomphelper.dylib           	0x000000010861652f comphelper::StillReadWriteInteraction::intercepted(ucbhelper::InterceptedInteraction::InterceptedRequest const&, com::sun::star::uno::Reference<com::sun::star::task::XInteractionRequest> const&) + 559
33  libucbhelper.dylib            	0x000000010ad46713 ucbhelper::InterceptedInteraction::impl_interceptRequest(com::sun::star::uno::Reference<com::sun::star::task::XInteractionRequest> const&) + 147
34  libucbhelper.dylib            	0x000000010ad46659 non-virtual thunk to ucbhelper::InterceptedInteraction::handle(com::sun::star::uno::Reference<com::sun::star::task::XInteractionRequest> const&) + 25
35  libucbhelper.dylib            	0x000000010ad4d52b ucbhelper::cancelCommandExecution(com::sun::star::ucb::IOErrorCode, com::sun::star::uno::Sequence<com::sun::star::uno::Any> const&, com::sun::star::uno::Reference<com::sun::star::ucb::XCommandEnvironment> const&, rtl::OUString const&, com::sun::star::uno::Reference<com::sun::star::ucb::XCommandProcessor> const&) + 315
36  libucpfile1.dylib             	0x000000014768e1ab fileaccess::throw_handler(int, int, com::sun::star::uno::Reference<com::sun::star::ucb::XCommandEnvironment> const&, rtl::OUString const&, fileaccess::BaseContent*, bool) + 491
37  libucpfile1.dylib             	0x00000001476ad1dd fileaccess::TaskManager::endTask(int, rtl::OUString const&, fileaccess::BaseContent*) + 349
38  libucpfile1.dylib             	0x0000000147684ea3 fileaccess::BaseContent::execute(com::sun::star::ucb::Command const&, int, com::sun::star::uno::Reference<com::sun::star::ucb::XCommandEnvironment> const&) + 3331
39  libucpfile1.dylib             	0x0000000147687862 non-virtual thunk to fileaccess::BaseContent::execute(com::sun::star::ucb::Command const&, int, com::sun::star::uno::Reference<com::sun::star::ucb::XCommandEnvironment> const&) + 18
40  libucbhelper.dylib            	0x000000010ad3cab0 ucbhelper::Content_Impl::executeCommand(com::sun::star::ucb::Command const&) + 80
41  libucbhelper.dylib            	0x000000010ad4052a ucbhelper::Content::openWriteableStream() + 602
42  libutllo.dylib                	0x000000010ae53a3a utl::MediaDescriptor::impl_openStreamWithURL(rtl::OUString const&, bool) + 986
43  libutllo.dylib                	0x000000010ae523f7 utl::MediaDescriptor::impl_addInputStream(bool) + 503
44  libsfxlo.dylib                	0x0000000108f562ee SfxMedium::GetMedium_Impl() + 2334
45  libsfxlo.dylib                	0x0000000108f5ee3f SfxMedium::LockOrigFileOnDemand(bool, bool, bool) + 2639
46  libsfxlo.dylib                	0x0000000108fcb2f8 SfxObjectShell::DoSaveCompleted(SfxMedium*, bool) + 1624
47  libsfxlo.dylib                	0x0000000108fce159 SfxObjectShell::DoSave_Impl(SfxItemSet const*) + 1161
48  libsfxlo.dylib                	0x0000000108fee688 SfxBaseModel::storeSelf(com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue> const&) + 2152
49  libsfxlo.dylib                	0x0000000108f9d155 SfxStoringHelper::GUIStoreModel(com::sun::star::uno::Reference<com::sun::star::frame::XModel> const&, rtl::OUString const&, com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue>&, bool, SignatureState) + 1445
50  libsfxlo.dylib                	0x0000000108fb5f7b SfxObjectShell::ExecFile_Impl(SfxRequest&) + 10923
51  libsfxlo.dylib                	0x0000000108e462bf SfxDispatcher::Call_Impl(SfxShell&, SfxSlot const&, SfxRequest&, bool) + 719
52  libsfxlo.dylib                	0x0000000108e46814 SfxDispatcher::PostMsgHandler(std::__1::unique_ptr<SfxRequest, std::__1::default_delete<SfxRequest> >) + 276
53  libsfxlo.dylib                	0x0000000108e558b7 std::__1::__function::__func<std::__1::__bind<void (SfxDispatcher::*)(std::__1::unique_ptr<SfxRequest, std::__1::default_delete<SfxRequest> >), SfxDispatcher*, std::__1::placeholders::__ph<1> const&>, std::__1::allocator<std::__1::__bind<void (SfxDispatcher::*)(std::__1::unique_ptr<SfxRequest, std::__1::default_delete<SfxRequest> >), SfxDispatcher*, std::__1::placeholders::__ph<1> const&> >, void (std::__1::unique_ptr<SfxRequest, std::__1::default_delete<SfxRequest> >)>::operator()(std::__1::unique_ptr<SfxRequest, std::__1::default_delete<SfxRequest> >&&) + 71
54  libsfxlo.dylib                	0x000000010902f751 SfxHintPoster::LinkStubDoEvent_Impl(void*, void*) + 49
55  libvcllo.dylib                	0x000000010b0a6684 ImplWindowFrameProc(vcl::Window*, SalEvent, void const*) + 2100
56  libvclplug_osxlo.dylib        	0x000000010f5d1937 non-virtual thunk to AquaSalInstance::ProcessEvent(SalUserEventList::SalUserEvent) + 39
57  libvcllo.dylib                	0x000000010b356fb1 SalUserEventList::DispatchUserEvents(bool) + 865
58  libvclplug_osxlo.dylib        	0x000000010f5d1f51 AquaSalInstance::DoYield(bool, bool) + 81
59  libvcllo.dylib                	0x000000010b38b6c0 Application::Execute() + 336
60  libsofficeapp.dylib           	0x000000010846fb69 desktop::Desktop::Main() + 3497
61  libvcllo.dylib                	0x000000010b39202b ImplSVMain() + 139
62  libvclplug_osxlo.dylib        	0x000000010f5d19cb AquaSalInstance::handleAppDefinedEvent(NSEvent*) + 91
63  libvclplug_osxlo.dylib        	0x000000010f60900d -[VCL_NSApplication sendEvent:] + 77
64  com.apple.AppKit              	0x00007fff290245e0 -[NSApplication run] + 755
65  com.apple.AppKit              	0x00007fff29013ae8 NSApplicationMain + 777
66  libvclplug_osxlo.dylib        	0x000000010f5d3bc9 AquaSalInstance::SVMainHook(int*) + 169
67  libvcllo.dylib                	0x000000010b39200d ImplSVMain() + 109
68  libsofficeapp.dylib           	0x000000010849d35c soffice_main + 236
69  org.libreoffice.script        	0x00000001083eff60 main + 16
70  libdyld.dylib                 	0x00007fff579af3d5 start + 1

... (Deleted because I can save only 65535 chars.)

External Modification Summary:
  Calls made by other processes targeting this process:
    task_for_pid: 0
    thread_create: 0
    thread_set_state: 0
  Calls made by this process:
    task_for_pid: 0
    thread_create: 0
    thread_set_state: 0
  Calls made by all processes on this machine:
    task_for_pid: 4320
    thread_create: 0
    thread_set_state: 0

VM Region Summary:
ReadOnly portion of Libraries: Total=596.4M resident=0K(0%) swapped_out_or_unallocated=596.4M(100%)
Writable regions: Total=1.8G written=0K(0%) resident=0K(0%) swapped_out=0K(0%) unallocated=1.8G(100%)
 
                                VIRTUAL   REGION 
REGION TYPE                        SIZE    COUNT (non-coalesced) 
===========                     =======  ======= 
Accelerate framework              1280K        7 
Activity Tracing                   256K        1 
CG backing stores                 1328K        4 
CG image                            76K       13 
CG raster data                    15.7M       26 
CoreAnimation                     46.8M       21 
CoreGraphics                         8K        1 
CoreImage                           40K        6 
CoreUI image data                  956K       19 
CoreUI image file                  208K        4 
Foundation                          28K        2 
Image IO                             4K        1 
Kernel Alloc Once                    8K        1 
MALLOC                             1.5G      243 
MALLOC guard page                   32K        7 
MALLOC_LARGE (reserved)           14.5M        5         reserved VM address space (unallocated)
MALLOC_NANO (reserved)           256.0M        1         reserved VM address space (unallocated)
Memory Tag 242                      12K        1 
SQLite page cache                  320K        2 
STACK GUARD                       56.1M       26 
Stack                             20.7M       26 
VM_ALLOCATE                       3492K       34 
__DATA                            40.4M      454 
__FONT_DATA                          4K        1 
__LINKEDIT                       268.9M      135 
__TEXT                           327.5M      432 
__UNICODE                          564K        1 
mapped file                      835.8M      488 
shared memory                     25.1M       20 
===========                     =======  ======= 
TOTAL                              3.3G     1982 
TOTAL, minus reserved VM space     3.1G     1982 

Model: MacBookPro13,3, BootROM 259.71.1.0.0, 4 processors, Intel Core i7, 2.9 GHz, 16 GB, SMC 2.38f7
Graphics: kHW_IntelHDGraphics530Item, Intel HD Graphics 530, spdisplays_builtin
Graphics: kHW_AMDRadeonPro460Item, AMD Radeon Pro 460, spdisplays_pcie_device, 4 GB
Memory Module: BANK 0/DIMM0, 8 GB, LPDDR3, 2133 MHz, 0x802C, 0x4D5435324C31473332443450472D30393320
Memory Module: BANK 1/DIMM0, 8 GB, LPDDR3, 2133 MHz, 0x802C, 0x4D5435324C31473332443450472D30393320
AirPort: spairport_wireless_card_type_airport_extreme (0x14E4, 0x15A), Broadcom BCM43xx 1.0 (7.77.61.2 AirPortDriverBrcmNIC-1305.8)
Bluetooth: Version 6.0.14d3, 3 services, 27 devices, 1 incoming serial ports
Network Service: Broadcom NetXtreme Gigabit Ethernet Controller, Ethernet, en5
Network Service: Wi-Fi, AirPort, en0
PCI Card: pci1b73,1100, USB eXtensible Host Controller, Thunderbolt@199,0,0
PCI Card: pci11c1,5901, IEEE 1394 Open HCI, Thunderbolt@198,0,0
PCI Card: Broadcom 57762-A1, Ethernet Controller, Thunderbolt@197,0,0
USB Device: USB 3.0 Bus
USB Device: Apple T1 Controller
USB Device: USB 3.0 Bus
USB Device: M3 Portable
USB Device: USB PnP Sound Device
USB Device: USB Optical Mouse
Thunderbolt Bus: MacBook Pro, Apple Inc., 41.1
Thunderbolt Bus: MacBook Pro, Apple Inc., 41.1
Thunderbolt Device: Express Dock, Belkin International, Inc., 3, 26.2
Comment 5 Marcus Hudritsch 2019-10-11 06:53:46 UTC
Hi Julian,
I now repeated the following steps:

- Deleted the folder /Users/Username/Library/Application Support/LibreOffice/4
- Opened the file under MacOS 10.14.6 with LO 6.2.7.1, changed a character, saved successfully.
- Closed LO.
- Reopened the same file without changing the language, did some changes, failed to save with the same error dialogues but no crash.

My conclusion:
Without any LO settings entries on the system, I can save once.
It has nothing to do with the language settings.
I can reproduce all this on multiple Macs with the same latest OS 10.14.
The old LO 3.6 works fine.

I'm a software developer too. I can deal with Git, cmake and C++ on different development environments on MacOS. If someone can help me how to setup a devenv on MacOS and where to set the breakpoint I could try to debug and detect the corpus delicti.

Regards
Marcus
Comment 6 Julien Nabet 2019-10-11 06:57:21 UTC
I proposed to test on 6.3.2 because 6.2 branch will be soon EOL.

Anyway, if you're ready to build the code, you can give a try to:
https://wiki.documentfoundation.org/Development/BuildingOnMac

LO is mainly (95%) in C++
Comment 7 Marcus Hudritsch 2019-10-11 07:59:46 UTC
ok. Installed LO 6.3.2.1 on MacOS and Windows
Then I did the following and did for documentation a screen recording:
https://www.youtube.com/watch?v=y540vK6yDjw

What I did:
- open my file old LO 3.6 (very slow, but what do you want)
- change a character and save successfully
- open the same file with LO 6.3.2.1
- change a character and try to save: crash, not even a dialog
- Delete LO settings folder
- Reopen the ODT again, change a character and save successfully.
- Close LO
- Reopen again, change a character, save with Error message

As soon as you have solved the XCode 10 Issues on MacOS 10.14 I will install the build it.
Regards
Marcus
Comment 8 Julien Nabet 2019-10-11 08:08:31 UTC
Thank you Marcus for your patience.

Alex: since it concerns MacOs, thought you might be interested in this one. BTW, what MacOS and XCode version do you have? Do you have some pb to build?
Comment 9 Marcus Hudritsch 2019-10-11 09:22:38 UTC
MacOS 10.14.6 (The latest before the new Catalina that bans 32bit apps)
XCode 11.1 (latest)
Comment 10 Alex Thurgood 2019-10-11 16:22:16 UTC
I've just upgraded to Catalina, but haven't tried building since, been out of office.

Catalina defaults to zsh shell, dunno what incidence that might have on build.
Comment 11 Marcus Hudritsch 2019-10-11 16:25:27 UTC
I'm NOT on Catalina.
I will stay for quite long on the last version BEFORE Catalina.
Right now this is 10.14.6.
Comment 12 eisa01 2019-11-02 23:13:36 UTC
I can confirm this on LO 6.3

The operation on /Users/eisa01/Library/Application Support/LibreOffice/4/user/temp/lu82978r1u5zc.tmp/lu82978r1u5zi.tmp cannot be performed because too many files are already open.

Error saving the document CPVR-ImageAnalysis-Script 2:
Write Error.
Error in writing sub-document content.xml.

I can also reproduce this on the latest nightly


Version: 6.4.0.0.alpha1+
Build ID: 80109586e6cb6d3e2e0a53a9079c3125ec9b8368
CPU threads: 4; OS: Mac OS X 10.14.6; UI render: default; VCL: osx; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded
Comment 13 Xisco Faulí 2019-11-14 14:19:34 UTC
I can't reproduce it in

Version: 6.2.4.2
Build ID: 2412653d852ce75f65fbfa83fb7e7b669a126d64
CPU threads: 8; OS: Mac OS X 10.14.6; UI render: default; VCL: osx; 
Locale: en-US (en_ES.UTF-8); UI-Language: en-US
Calc: threaded

nor in

Version: 6.4.0.0.alpha1+
Build ID: a0ebc6f898992dbc0da9f252911da867dfdfd741
CPU threads: 8; OS: Mac OS X 10.14.6; UI render: default; VCL: osx; 
Locale: en-US (en_ES.UTF-8); UI-Language: en-US
Calc: threaded
Comment 14 Roman Kuznetsov 2019-11-16 05:50:53 UTC
don't repro in

Version: 6.4.0.0.alpha1+
Build ID: 188bdbaf19241cd51820832fdb4522747534bec6
CPU threads: 4; OS: Mac OS X 10.15.1; UI render: GL; VCL: osx; 
Locale: ru-RU (ru_RU.UTF-8); UI-Language: en-US
Calc: threaded

it's Catalina macOS, yes
Comment 15 Marcus Hudritsch 2019-12-19 15:36:14 UTC
Hi,
I wanted to confirm, that I couldn't crash my document with 6.4.0.0beta1 on MacOS 10.15.1.
Thanks a lot to all who were involved with the fixing.
I just did a donation to your project.
Happy new year and merry Christmas to everyone.
Marcus